Bug 823311 - (greybird) Review Request: greybird - A clean minimalistic theme for Xfce, GTK+ 2 and 3
Review Request: greybird - A clean minimalistic theme for Xfce, GTK+ 2 and 3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-20 15:50 EDT by Athmane Madjoudj
Modified: 2012-06-06 22:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 22:34:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Athmane Madjoudj 2012-05-20 15:50:00 EDT
Spec URL: http://athmane.fedorapeople.org/pkgs/greybird.spec
SRPM URL: http://athmane.fedorapeople.org/pkgs/greybird-0.8.1-1.fc16.src.rpm
Description: 
Greybird is a theme for GTK2/3 and xfwm4/metacity started out on the basis of
Bluebird, but aims at reworking the intense blue tone to a more neutral
grey-ish look that will be more pleasant to look at in everyday use.

Fedora Account System Username: athmane
Comment 1 Athmane Madjoudj 2012-05-20 16:10:29 EDT
Note: this is my second package and I'm looking for sponsor.

rpmlint output:

greybird.src: W: spelling-error Summary(en_US) minimalistic -> minimalist, minimalism, animistic
greybird.src: W: spelling-error %description -l en_US metacity -> meta city, meta-city, mendacity
greybird.src: W: spelling-error %description -l en_US grey -> Grey, gray, trey
greybird.src: W: spelling-error %description -l en_US ish -> is, sh, dish
greybird.src: W: invalid-url Source0: shimmerproject-Greybird-v0.8.1-9-g10555c8.tar.gz
greybird.spec: W: invalid-url Source0: shimmerproject-Greybird-v0.8.1-9-g10555c8.tar.gz
5 packages and 1 specfiles checked; 0 errors, 6 warnings.


Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4090481
Comment 2 Athmane Madjoudj 2012-05-20 20:42:59 EDT
- Updated the requirement to gtk3-engines-unico >= 1.0.2 (available in f17+), otherwise you get a buggy gtk3 theme
- Spec cleanup

Spec URL: http://athmane.fedorapeople.org/pkgs/greybird.spec
SRPM URL: http://athmane.fedorapeople.org/pkgs/greybird-0.8.1-2.fc16.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4090667
Comment 3 Kevin Fenzi 2012-05-22 11:09:43 EDT
I'd be happy to review this and look at sponsoring you. ;) 

Look for a review soon...
Comment 4 Kevin Fenzi 2012-05-22 17:42:25 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License GPLv2+ or CC-BY-SA
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
See below - Sources match upstream md5sum:

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. Not a blocker, but might consider shipping the xfce-notify-4.0/ theme too?
Also, lightdm is under review, so might be ready to ship it's theme?

2. If I use the method listed in the spec to get the source, I get: 
shimmerproject-Greybird-v0.8.2-0-g10555c8.tar.gz
but you have 
shimmerproject-Greybird-v0.8.1-9-g10555c8.tar.gz 
(they appear identical, perhaps your versioning is off in the spec?)

3. rpmlint says: 
greybird.src: W: spelling-error Summary(en_US) minimalistic -> minimalist, minimalism, animistic
greybird.src: W: spelling-error %description -l en_US metacity -> meta city, meta-city, mendacity
greybird.src: W: spelling-error %description -l en_US grey -> Grey, gray, trey
greybird.src: W: spelling-error %description -l en_US ish -> is, sh, dish
greybird.src: W: invalid-url Source0: shimmerproject-Greybird-v0.8.1-9-g10555c8.tar.gz
5 packages and 0 specfiles checked; 0 errors, 5 warnings.

All can be ignored.
Comment 5 Athmane Madjoudj 2012-05-22 18:53:52 EDT
Thank you, Kevin.

(In reply to comment #4)
<snip>
> 
> Issues: 
> 
> 1. Not a blocker, but might consider shipping the xfce-notify-4.0/ theme too?
> Also, lightdm is under review, so might be ready to ship it's theme?
> 

I've included Xfce notify theme, I can add lightdm theme as after it gets approved but I think we'll loose fedora branding (background).


> 2. If I use the method listed in the spec to get the source, I get: 
> shimmerproject-Greybird-v0.8.2-0-g10555c8.tar.gz
> but you have 
> shimmerproject-Greybird-v0.8.1-9-g10555c8.tar.gz 
> (they appear identical, perhaps your versioning is off in the spec?)
> 

Fixed, upstream tagged 10555c8 commit as 0.8.2 (3 hours ago)

https://github.com/shimmerproject/Greybird/tags

<snip>


Spec URL: http://athmane.fedorapeople.org/pkgs/greybird.spec
SRPM URL: http://athmane.fedorapeople.org/pkgs/greybird-0.8.2-3.fc17.src.rpm 
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4095296
Comment 6 Kevin Fenzi 2012-05-25 18:20:53 EDT
All those changes look good to me, I see no further blockers here, so this package is APPROVED. 

I'll go ahead and sponsor you into the packager group. :) 

Welcome to the fun. 

Continue the process from 
https://fedoraproject.org/wiki/PackageMaintainers/Join#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner
Comment 7 Athmane Madjoudj 2012-05-25 19:08:15 EDT
New Package SCM Request
=======================
Package Name: greybird
Short Description: greybird - A clean minimalistic theme for Xfce, GTK+ 2 and 3
Owners: athmane
Branches: f17
InitialCC:
Comment 8 Kevin Fenzi 2012-05-26 21:49:12 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-05-27 00:31:46 EDT
greybird-0.8.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/greybird-0.8.2-3.fc17
Comment 10 Fedora Update System 2012-05-27 21:24:51 EDT
greybird-0.8.2-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-06-06 22:34:10 EDT
greybird-0.8.2-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.